FreeMat

- Main Page
- Related Pages

vtkVectorDot

Section: Visualization Toolkit Graphics Classes

# Usage

vtkVectorDot is a filter to generate scalar values from a dataset. The scalar value at a point is created by computing the dot product between the normal and vector at that point. Combined with the appropriate color map, this can show nodal lines/mode shapes of vibration, or a displacement plot.

To create an instance of class vtkVectorDot, simply invoke its constructor as follows

      obj = vtkVectorDot

# Methods

The class vtkVectorDot has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkVectorDot class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkVectorDot = obj.NewInstance ()`
- `vtkVectorDot = obj.SafeDownCast (vtkObject o)`
- `obj.SetScalarRange (double , double )` - Specify range to map scalars into.
- `obj.SetScalarRange (double a[2])` - Specify range to map scalars into.
- `double = obj. GetScalarRange ()` - Get the range that scalars map into.